%global realname proper
%global upstream manopapad
%define oversion 1.4

Name:       erlang-%{realname}
Version:    %{oversion}.0
Release:    %mkrel 2
BuildArch:  noarch
Group:      Development/Erlang
Summary:    A QuickCheck-inspired property-based testing tool for Erlang
License:    GPLv3+
URL:        https://github.com/%{upstream}/%{realname}
VCS:        scm:git:https://github.com/%{upstream}/%{realname}.git
#ource0:    https://github.com/%{upstream}/%{realname}/archive/v%{version}/%{realname}-%{version}.tar.gz
Source0:    https://github.com/%{upstream}/%{realname}/archive/v%{version}/master.zip
Patch1:     erlang-proper-0001-Disable-one-test-case.patch
BuildRequires: erlang-rebar


%description
PropEr (PROPerty-based testing tool for ERlang) is a QuickCheck-inspired
open-source property-based testing tool for Erlang.


%prep
#autosetup -p1 -n %{realname}-%{oversion}
%autosetup -p1 -n %{realname}-master

%build
pushd scripts/
# The docs need to be built first: https://github.com/proper-testing/proper/issues/179
./make_doc
popd
%{erlang_compile}


%install
%{erlang_install}


%if 0
%check
%{erlang_test}
%endif


%files
%license COPYING
%doc doc
%doc examples
%doc README.md
%{erlang_appdir}/


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.4.0-2.mga10
+ Revision: 2222251
- Mageia 10 Mass Rebuild

* Tue Apr 23 2024 neoclust <neoclust> 1.4.0-1.mga10
+ Revision: 2060688
- Update to git to fix build
- New version

* Thu Mar 31 2022 umeabot <umeabot> 1.3-5.mga9
+ Revision: 1836516
- Mageia 9 Mass Rebuild

* Sun Dec 20 2020 wally <wally> 1.3-4.mga8
+ Revision: 1661533
- add Fedora patch for tests
- make pkg noarch

* Wed Feb 12 2020 umeabot <umeabot> 1.3-3.mga8
+ Revision: 1511391
- Mageia 8 Mass Rebuild

* Sat Sep 22 2018 wally <wally> 1.3-2.mga7
+ Revision: 1296523
- build with tests

* Sat Sep 22 2018 wally <wally> 1.3-1.mga7
+ Revision: 1296207
- new version 1.3
- bootstrap without tests

* Fri May 06 2016 neoclust <neoclust> 1.1-7.mga6
+ Revision: 1009757
- Rebuild post boostrap
- imported package erlang-proper

